Create a Print Job
POST https://www.expedy.fr/api/v2/printers/{printer_uid}/print
This endpoint allows you to send a print job to the designated thermal printer.
Authentication
This endpoint requires an Authorization header with a valid API key.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
printer_uid |
string |
Yes |
Request Body
Content-Type: application/json
| Parameter | Type | Required | Description |
|---|---|---|---|
printer_msg |
string |
Yes | (ex: The message to be printed:\n - ... in the kitchen,\n - ... in the lobby\n - ... or a delivery slip pdf url to be printed at the pick & pack departement\n\nReally any information, Qrcode, Image etc.. anywhere this printer is positionnable ...) |
origin |
string |
No | (ex: Your defined origin tag.. a uri, a name ..) |
Request Example:
{
"printer_msg": "The message to be printed:\n - ... in the kitchen,\n - ... in the lobby\n - ... or a delivery slip pdf url to be printed at the pick & pack departement\n\nReally any information, Qrcode, Image etc.. anywhere this printer is positionnable ...",
"origin": "Your defined origin tag.. a uri, a name .."
}
Response 200
OK
| Parameter | Type | Required | Description |
|---|---|---|---|
request_uid |
string |
No | (ex: 1X5ERXL94BYVWHP92DK3MCASUGJ) |
Response Example:
{
"request_uid": "1X5ERXL94BYVWHP92DK3MCASUGJ"
}